<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<title>OPACS报告查询系统</title>

<style type="text/css">
body {
	width: 780px;
	font-size: 16px;
	margin-right: auto;
	margin-left: auto;
	position: relative;
}
.lineTop {
    width: 780px; 
	height: 1px;
	border-top: 1px solid #000000;
}
.lineBottom {
    width: 780px; 
	height: 1px;
	border-bottom: 1px solid #000000;
}
.lineDot {
	width: 780px;
	height: 1px;
	border-top: 1px dashed #000000;
}

.ReportHeader1 {
	font: bold 20pt 宋体;
	text-align: center;
}
.ReportHeader2 {
	font: bold 18pt 宋体;
	text-align: center;
}
.ReportHeader3 {
	font: bold 18pt 宋体;
	text-align: center;
}
.ReportReturn
{
	font: 12pt 宋体;
	text-align: right;
}
A:link{text-decoration:none; color:#000000;}
A:visited{text-decoration:none; color:#000000;}
A:hover{text-decoration:underline; color: #ff00ff;}

.StudyInfo {
    font: 12pt 宋体;

	color: #000000;
}
.ReportText2 {
	font: bold 15pt 宋体; 
	color: #000000;
}
.ReportText {
	font: 12pt 宋体; 
	color: #000000;
	padding-left: 42px;
}
.ReportSignature
{
	font: 12pt 宋体;
	text-align: right;
}
.ReportFooter {
	font: 9pt 宋体;
	text-align: center;
}

</style>

<script type="text/javascript">
function LayoutImages()
{
	var iImageCount = 0; // 报告图像数目
	var oDiv = document.getElementById("idReptImages");
	for (var i=0; i<oDiv.childNodes.length; i++)
	{
		if (oDiv.childNodes[i].nodeName.toUpperCase() == "IMG")
			iImageCount++;
	}

    // 缩放比例
    var iImageRatios = new Array();
   	iImageRatios[0] = "0%";
    iImageRatios[1] = "50%";
    iImageRatios[2] = "49%";
    iImageRatios[3] = "42%";
    iImageRatios[4] = "42%";
    iImageRatios[5] = "42%";
    iImageRatios[6] = "42%";
    iImageRatios[7] = "42%";
    iImageRatios[8] = "42%";
    iImageRatios[9] = "42%";

    // 排列图像
    var iBodyWidth = document.body.clientWidth;
    var iPageWidth = iBodyWidth * 0.98;
    if (iImageCount > 0)
    {
        var oReptImage0 = document.getElementById("imfReptImage0");
        oReptImage0.style.width = iImageRatios[iImageCount];
        if (iImageCount == 1)
        {
            oReptImage0.style.position = "relative";
            oReptImage0.style.left = (iPageWidth - oReptImage0.width) / 2;
        }
    }
    if (iImageCount > 1)
    {
        var oReptImage1 = document.getElementById("imfReptImage1")
        oReptImage1.style.width = iImageRatios[iImageCount];
    }
    if (iImageCount > 2)
    {
        var oReptImage2 = document.getElementById("imfReptImage2");
        oReptImage2.style.width = iImageRatios[iImageCount];
    }
    if (iImageCount > 3)
    {
        var oReptImage3 = document.getElementById("imfReptImage3");
        oReptImage3.style.width = iImageRatios[iImageCount];
    }
    if (iImageCount > 4)
    {
        var oReptImage4 = document.getElementById("imfReptImage4");
        oReptImage4.style.width = iImageRatios[iImageCount];
    }
    if (iImageCount > 5)
    {
        var oReptImage5 = document.getElementById("imfReptImage5");
        oReptImage5.style.width = iImageRatios[iImageCount];
    }
    if (iImageCount > 6)
    {
        var oReptImage6 = document.getElementById("imfReptImage6");
        oReptImage6.style.width = iImageRatios[iImageCount];
    }
    if (iImageCount > 7)
    {
        var oReptImage7 = document.getElementById("imfReptImage7");
        oReptImage7.style.width = iImageRatios[iImageCount];
    }
    if (iImageCount > 8)
    {
        var oReptImage8 = document.getElementById("imfReptImage8");
        oReptImage8.style.width = iImageRatios[iImageCount];
    }
}
</script>

</head>

<body>

<br />
<div style="visibility:hidden">{%iwbtnFree%}</div>
<div>{%iwtxtFree%}</div>
<div class="ReportHeader1">{%lblReportTitle1%}</div>
<div class="ReportHeader2">{%lblReportTitle2%}</div>
<div class="ReportHeader3">{%lblReportTitle3%}</div>
<div class="ReportReturn">{%lblReturn%}</div>
<div class="ReportReturn">{%lnkEPR%}</div>
<script type="text/javascript">
	// 去掉下划线
	var oA1 = document.getElementById("LBLREPORTTITLE1");
    if (oA1 != null)
        oA1.style.textDecoration = "none";
	var oA2 = document.getElementById("LBLREPORTTITLE2");
    if (oA2 != null)
        oA2.style.textDecoration = "none";
	var oA3 = document.getElementById("LBLREPORTTITLE3");
    if (oA3 != null)
        oA3.style.textDecoration = "none";
    var oA4 = document.getElementById("LBLRETURN");
    if (oA4 != null)
        oA4.style.textDecoration = "none";
	var oA5 = document.getElementById("LNKEPR");
    if (oA5 != null)
        oA5.style.textDecoration = "none";
</script>
<br/>

<div class="StudyInfo">
姓名：{%lblPatientName%}&nbsp;&nbsp;&nbsp;&nbsp;性别：{%lblPatientSex%}&nbsp;&nbsp;&nbsp;&nbsp;年龄：{%lblPatientAge%}&nbsp;&nbsp;&nbsp;&nbsp;临床诊断：{%lblStudyClinicinfo%}<br> 
<div class="lineDot"></div>
检查号：{%lblStudyGuid%}&nbsp;&nbsp;&nbsp;设备型号：{%lblStudyModalityType%}&nbsp;&nbsp;&nbsp;检查部位：{%lblStudyBodypart%}
<div class="lineDot"></div>
申请科室：{%lblStudyDepartment%}&nbsp;&nbsp;&nbsp;申请医生：{%lblStudyApplicant%}&nbsp;&nbsp;&nbsp;住院号：{%lblStudyNumber2%}&nbsp;&nbsp;&nbsp;病床号：{%lblStudySickBed%}&nbsp;&nbsp;&nbsp;<br> 
<div class="lineDot"></div>
</div>

<div id="idReptImages">
{%imfReptImage0%}
{%imfReptImage1%}
{%imfReptImage2%}
{%imfReptImage3%}
{%imfReptImage4%}
{%imfReptImage5%}
{%imfReptImage6%}
{%imfReptImage7%}
{%imfReptImage8%}
</div><br>

<script type="text/javascript">
LayoutImages();
</script>

<div class="ReportText2">影像所见:</div>
<div class="ReportText">{%txtReportFinding%}</div>
<br/>
    
<div class="ReportText2">影像提示:</div>
<div class="ReportText">{%txtReportDiagnosis%}</div>
<br/>

<div class="ReportSignature"><strong>诊断医生: </strong>{%lblReportDiagnostician%}</div>
<div class="ReportSignature"><strong>报告时间: </strong>{%lblReportDttm%}</div>

<script type="text/javascript">
	// 去掉报告时间，保留报告日期.
    var oSpan = document.getElementById("LBLREPORTDTTM");
    var sReportDttm = oSpan.innerHTML;
    var sReportDate = sReportDttm.split(" ");
    oSpan.innerHTML = sReportDate[0];
</script>

<div class="lineBottom"></div>
<div class="ReportFooter">本报告仅供临床医生参考，签字有效。</div>

</body>
</html>
